#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;

prepare_page_adh();
my $page = '';
my $cid = $sess->{content}->{cid};
my @ligs = ligne_par_client_id($cid);
for my $l ( @ligs ) {
	$page .= tableau_1d('adsl/adhs/rewrite.tbl','ligne',$l,'Ligne '.$l->{'LIGNE_TEL'});
	$page .= '<a href="adh-chadsl.cgi?sess=%%sess%%&lid='.$l->{'LIGNE_ID'}.'">Changer le dbit ou l'."'".'option</a>';
}

if ( $#ligs == -1 ) {
	$page .= "<p>Vous n'avez pas souscrit d'abonnement ADSL FDN</p>";
}
$page .= "<p>Cette page ne prsente que les abonnements ADSL, pas les autres abonnements.".
	 "</p>";
my $c = client_par_id($cid);
my $a = adresse_par_id($c->{'ADRESSE_ID'});
my $p = prelevemt_par_id($c->{'PRELEVEMT_ID'});
if ($c->{'CLIENT_NUMADH'} != -1) {
	$page .= "<p>Vous pouvez <a href=\"../souscription/souscription.cgi".
		"?numadh=".$c->{'CLIENT_NUMADH'}.
		"&nomdflt=".$c->{'CLIENT_NOM'}.
		"&email=".$a->{'ADRESSE_MAIL'}.
		"&pgp=".$a->{'ADRESSE_PGP'}.
		"&nombq=".$p->{'PRELEVEMT_DOMICL'}.
		"&bic=".$p->{'PRELEVEMT_BIC'}.
		"&iban=".$p->{'PRELEVEMT_IBAN'}.
		"\">souscrire une nouvelle ligne ADSL</a>.</p>";
}
eject_page_adh($page);


